<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Lista de servicios / productos</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Servicios</a>
            </li>
            <li class="breadcrumb-item active">Lista de servicios</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
          <div class="body">
            <div class="table-responsive">
              <div class="materialTableHeader">
                <div class="row">
                  <div class="col-8">
                    <ul class="header-buttons-left ml-0">
                      <li class="dropdown">
                        <h2>
                          <strong>Lista de servicios</strong></h2>
                      </li>
                      <li class="dropdown m-l-20">
                        <label for="search-input"><i class="material-icons search-icon">search</i></label>
                        <input placeholder="Buscar" type="text" #filter class="browser-default search-field"
                          aria-label="Search box">
                      </li>
                    </ul>
                  </div>
                  <div class="col-4">
                    <ul class="header-buttons" *ngIf="idClinica !== null">
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="nuevoMotivo()">
                            <mat-icon class="col-white">add</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="refrescartablaservicios()">
                            <mat-icon class="col-white">refresh</mat-icon>
                          </button>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <mat-table #table [dataSource]="datosservicios" matSort class="mat-cell">

                <!-- ID Column -->
                <ng-container matColumnDef="id">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.idServicios}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="nombre">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.Nombre}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="categoria">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Categoria</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.NombreCat}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="des">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Descripción</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.Descripcion}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="costo">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Costo</mat-header-cell>
                  <mat-cell *matCellDef="let row"> $ {{row.Costo}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="habili">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Habilitar/Deshabilitar</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Deshabilitar}}</mat-cell>
                  <!-- <mat-cell *matCellDef="let row"> {{row.date | date: 'MM/dd/yyyy'}}</mat-cell> -->
                </ng-container>
                <!-- actions -->
                <ng-container matColumnDef="actions">
                  <mat-header-cell *matHeaderCellDef class="pr-0">Acciones</mat-header-cell>
                  <mat-cell *matCellDef="let row; let i=index;" class="pr-0">
                    <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()"
                    (click)="editarServicio(row)">
                      <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                    </button>
                    <button mat-icon-button color="accent" class="btn-tbl-delete" (click)="$event.stopPropagation()">
                      <i class="material-icons col-white">cloud_off</i>
                    </button>
                  </mat-cell>
                </ng-container>
                <mat-header-row *matHeaderRowDef="columnaservicio"></mat-header-row>
                <!-- <mat-row *matRowDef="let row; columns: columnaservicio;"></mat-row> -->
                <mat-row *matRowDef="let row; columns: columnaservicio;" 
                  [style.cursor]="'pointer'" matRipple>
                </mat-row>
              </mat-table>
              <div class="no-results" [style.display]="datosservicios.renderedData.length == 0 ? '' : 'none'">
                No hay resultados
              </div>
              <mat-paginator #paginator [length]="datosservicios.filteredData.length" [pageIndex]="0" [pageSize]="10"
                [pageSizeOptions]="[5, 10, 25, 100]">
              </mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
